<div class="grid grid-cols-1 md:grid-cols-2 h-svh md:h-fit">
  <div class="relative font-medium text-base md:text-lg lg:text-xl">
    <h2 class="absolute top-9 left-1/2 transform -translate-x-1/2 -translate-y-1/2">3legant.</h2>
    <img class="w-full h-[70vh] md:h-auto object-cover" src="../../../../assets/image/banner/Left.jpg" alt="">
  </div>
  <div
    class="py-4 px-6 md:px-12 lg:px-24 xl:px-32 md:h-full flex flex-col justify-center text-[#6C7275] md:mt-[-120px]">
    <h1 class="text-xl md:text-4xl font-medium text-black mb-4">Sign In</h1>
    <div class="flex space-x-1 mb-3 md:mb-6">
      <span class="font-regular">Don’t have an account yet?</span>
      <a class="font-semibold text-[#38CB89]" href="register">Sign Up</a>
    </div>
    <form [formGroup]="authForm" (ngSubmit)="onSubmit()" class="text-left font-regular">
      <div class="mb-2">
        <input type="email" formControlName="email"
          class="border-b border-[#E8ECEF] bg-transparent w-full h-[40px] my-3 placeholder-gray-500 focus:outline-none transition duration-300"
          placeholder="Your username or email address" autocomplete="off">
        <span
          *ngIf="authForm.controls['email'].errors && (authForm.controls['email'].dirty || authForm.controls['email'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Tên không được để trống & và có định dạng email
        </span>
      </div>
      <div class="mb-4">
        <input type="password" formControlName="password"
          class="border-b border-[#E8ECEF] bg-transparent w-full h-[40px] my-3 placeholder-gray-500 focus:outline-none transition duration-300"
          placeholder="Password" autocomplete="off">
        <span
          *ngIf="authForm.controls['password'].errors && (authForm.controls['password'].dirty || authForm.controls['password'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Mật khẩu không được để trống & và phải dài hơn 9 ký tự
        </span>
      </div>
      <div class="flex justify-between mb-6">
        <div class="flex">
          <input type="checkbox" name="remember" id="remember" class="mr-2">
          <label for="remember">Remember me</label>
        </div>
        <a href="forgot" class="font-medium text-black">Forgot password?</a>
      </div>
      <button type="submit" class="bg-black text-white text-medium rounded-[8px] w-full py-5">
        Sign In
      </button>
    </form>
  </div>
</div>
<p-toast [showTransformOptions]="'translateY(100%)'" [showTransitionOptions]="'500ms'"
  [hideTransitionOptions]="'500ms'"></p-toast>